%define aurox_ver 9.3
%define rel 2

%define localename es-ES
%define localeshort es
%define langname Spanish
%define firebird_version 0.7.1

Summary: Support for %{langname} interface in Mozilla Firebird
Name: mozilla-firebird-i18n-%{langname}
Version: 0.7
Release: %{aurox_ver}.aur.%{rel}
License: MPL
URL: http://www.mozilla.org
Source: http://ftp.mozilla.org/pub/mozilla.org/firebird/releases/%{version}/contrib-localized/MozillaFirebird-%{version}-esES-langpack.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-root
Requires: mozilla-firebird = %{firebird_version}
PreReq: mozilla-firebird-tools = %{firebird_version}
BuildPreReq: unzip, dos2unix

%description
%{langname} translation of the Mozilla Firebird interface.

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
dos2unix install.js
grep 'registerChrome(chromeType' install.js | grep cf | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/%{localename}.jar!/locale/%{localename}/",$1,"/"}' > lang-%{localename}.jar.txt
grep 'registerChrome(chromeType' install.js | grep pf | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/%{localeshort}-unix.jar!/locale/%{localename}/",$1,"/"}' > lang-%{localeshort}-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/lang
cp -f bin/chrome/%{localename}.jar $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/%{localename}.jar
cp -f bin/chrome/%{localeshort}-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/%{localeshort}-unix.jar
cp -f lang-%{localename}.jar.txt lang-%{localeshort}-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-firebird/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl ]; then
    /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl ]; then
    /usr/lib/mozilla-firebird/mozilla-firebird-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-firebird/chrome/*.jar
/usr/lib/mozilla-firebird/chrome/lang/*.txt

%changelog
* Mon Feb 02 2004 Aurox Team <aurox@aurox.org> 0:0.7-9.3.aur.2
- fix chrome list
- initial package


